PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.6.0 »
- PyDL »
- SDSS Utilities (`pydl.pydlutils`) »
- djs_maskinterp

# djs_maskinterp

`pydl.pydlutils.image.``djs_maskinterp`(yval, mask, xval=None, axis=None, const=False)

  Interpolate over masked pixels in a vector, image or 3-D array.

  Parameters:

  yval : `numpy.ndarray`

  > The input values

  mask : `numpy.ndarray`

  > The mask

  xval : `numpy.ndarray`, optional

  > If set, use these x values, otherwise use an array

  axis : `int`, optional

  > Must be set if yval has more than one dimension. If set to zero, interpolate along the first axis of the array, if set to one, interpolate along the second axis of the array, and so on.

  const : `bool`, optional

  > This value is passed to a helper function, djs_maskinterp1.

  Returns:

  `numpy.ndarray`

  > The interpolated array.